The account_identifier uniquely identifies an account within a network. All fields in the account_identifier are utilized to determine this uniqueness (including the metadata field, if populated).

export
interface

  RosettaAccountIdentifier

### Hierarchy

- RosettaAccountIdentifier

## Index

### Properties

- address
- metadata
- sub_account

## Properties

### address

address: string

- Defined in src/generated/models/RosettaAccountIdentifier.ts:34

The address may be a cryptographic public key (or some encoding of it) or a provided username.

memberof

  RosettaAccountIdentifier

### Optional metadata

metadata: object

- Defined in src/generated/models/RosettaAccountIdentifier.ts:46

Blockchains that utilize a username model (where the address is not a derivative of a cryptographic public key) should specify the public key(s) owned by the address in metadata.

memberof

  RosettaAccountIdentifier

### Optional sub_account

sub_account: RosettaSubAccount

- Defined in src/generated/models/RosettaAccountIdentifier.ts:40

memberof

  RosettaAccountIdentifier

Generated using TypeDoc